org.apache.sysds.runtime.instructions.cp

## Class ParameterizedBuiltinCPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction
    - - org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction
      - - org.apache.sysds.runtime.instructions.cp.ParameterizedBuiltinCPInstruction

- All Implemented Interfaces:
    LineageTraceable
  Direct Known Subclasses:
    ParamservBuiltinCPInstruction

      public class ParameterizedBuiltinCPInstruction
      extends ComputationCPInstruction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

      `CPInstruction.CPType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

      `Instruction.IType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction

      `input1, input2, input3, output`

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

      `DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LinkedHashMap<String,String>` | `constructParameterMap(String[] params)`
    `org.apache.commons.lang3.tuple.Pair<String,LineageItem>` | `getLineageItem(ExecutionContext ec)` Obtain lineage trace of an instruction with a single output.
    `String` | `getParam(String key)`
    `HashMap<String,String>` | `getParameterMap()`
    `CacheableData<?>` | `getTarget(ExecutionContext ec)`
    `static ParameterizedBuiltinCPInstruction` | `parseInstruction(String str)`
    `void` | `processInstruction(ExecutionContext ec)` This method should be used to execute the instruction.

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction

      `getInputs, getOutput, getOutputVariableName`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

      `getCPInstructionType, getGraphString, getType, postprocessInstruction, preprocessInstruction, requiresLabelUpdate, updateLabels`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

      `getLineageItems, hasSingleLineage`

- - ### Method Detail

    - #### getParameterMap

          public HashMap<String,String> getParameterMap()

    - #### getParam

          public String getParam(String key)

    - #### constructParameterMap

          public static LinkedHashMap<String,String> constructParameterMap(String[] params)

    - #### parseInstruction

          public static ParameterizedBuiltinCPInstruction parseInstruction(String str)

    - #### processInstruction

          public void processInstruction(ExecutionContext ec)

      Description copied from class: `Instruction`
      This method should be used to execute the instruction.
      Specified by:
        `processInstruction` in class `CPInstruction`
      Parameters:
        `ec` - execution context

    - #### getLineageItem

          public org.apache.commons.lang3.tuple.Pair<String,LineageItem> getLineageItem(ExecutionContext ec)

      Description copied from interface: `LineageTraceable`
      Obtain lineage trace of an instruction with a single output.
      Specified by:
        `getLineageItem` in interface `LineageTraceable`
      Overrides:
        `getLineageItem` in class `ComputationCPInstruction`
      Parameters:
        `ec` - execution context w/ live variables
      Returns:
        pair of (output variable name, output lineage item)

    - #### getTarget

          public CacheableData<?> getTarget(ExecutionContext ec)

Copyright © 2021 The Apache Software Foundation. All rights reserved.